drop table bak_bbhotel;
drop table bak_carrental;
drop table bak_customer;
drop table bak_flightres;
drop table bak_hotel;
drop table bak_massbranch;
drop table bak_mbc;
create table bak_bbhotel (
 NAME                                               VARCHAR2(30),
 ADDRESS                                            VARCHAR2(30),
 CITY                                               VARCHAR2(50),
 STATE                                              VARCHAR2(2),
 PHONE                                              VARCHAR2(30)
);
create table bak_carrental (
 NAME                                               VARCHAR2(30),
 ADDRESS                                            VARCHAR2(30),
 CITY                                               VARCHAR2(50),
 STATE                                              VARCHAR2(2),
 PHONE                                              VARCHAR2(30)
);
create table bak_customer (
 CNAME                                              VARCHAR2(30),
 AGE                                                VARCHAR2(255),
 STREET                                             VARCHAR2(15),
 CITY                                               VARCHAR2(10),
 STATE                                              VARCHAR2(15)
);
create table bak_flightres (
 PNAME                                              VARCHAR2(30) NOT NULL,
 AIRLINE                                            VARCHAR2(12) NOT NULL,
 FNO                                                NUMBER(38) NOT NULL,
 SOURCE                                             VARCHAR2(15),
 DEST                                               VARCHAR2(15),
 DEPARTDATE                                         NUMBER
);
create table bak_hotel (
 NAME                                               VARCHAR2(30),
 ADDRESS                                            VARCHAR2(30),
 CITY                                               VARCHAR2(50),
 STATE                                              VARCHAR2(2),
 PHONE                                              VARCHAR2(30)
);
create table bak_massbranch (
 CNAME                                              VARCHAR2(30),
 PHONE                                              VARCHAR2(10),
 AGE                                                VARCHAR2(255),
 STREET                                             VARCHAR2(15),
 CITY                                               VARCHAR2(10),
 STATE                                              VARCHAR2(15)
);
create table bak_mbc (
 CNAME                                              VARCHAR2(30) NOT NULL,
 PHONE                                              CHAR(10),
 AGE                                                NUMBER(38),
 STREET                                             VARCHAR2(15) NOT NULL,
 CITY                                               VARCHAR2(10) NOT NULL,
 STATE                                              VARCHAR2(15) NOT NULL
);
commit;
insert into bak_bbhotel values (
'Hotel 1','100 High Street','Boston','MA','617-123-4567');
insert into bak_carrental values (
'AutoRent','123 First Street','Boston','MA','617-647-2837');
insert into bak_carrental values ('GoodCars','432 Second Street','Boston','MA','617-874-6921');
insert into bak_customer values ('Dave','18','1 East','Boston','MA');
insert into bak_customer values ('Carol','20','2 South','Boston','MA');
insert into bak_customer values ('Gary','34','3 West','Madison','WI');
insert into bak_customer values ('Joan','26','4 North','Mpls','MN');
insert into bak_customer values ('Dave','38','5 Central','Mpls','MN');
insert into bak_flightres values ('Dave','A1',3,'Logan','Toronto',960731);
insert into bak_flightres values ('Carol','A2',4,'Logan','San Francisco',961223);
insert into bak_flightres values ('Carol','A1',9,'Logan','Seattle',970223);
insert into bak_flightres values ('Gary','A3',5,'Madison','Chicago',970101);
insert into bak_flightres values ('Joan','A4',6,'Mpls','Toronto',960921);
insert into bak_hotel values ('Hotel 1','100 High Street','Boston','MA','617-123-4567');
insert into bak_hotel values ('Hotel 2','1234 Huntington Street','Boston','MA','617-987-6543');
insert into bak_hotel values ('Hotel 3','123 Park Ave','Worcester','MA','508-799-1234');
insert into bak_massbranch values ('Dave','6171111111','18','1 East','Boston','MA');
insert into bak_massbranch values ('Carol','6172222222','20','2 South','Boston','MA');
insert into bak_mbc values ('Dave','6171111111','18','1 East','Boston','MA');
insert into bak_mbc values ('Carol','6172222222','20','2 South','Boston','MA');
commit;